//---------------------------------------------------------------------------
#ifndef ComboBoxIncH
#define ComboBoxIncH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
class PACKAGE TComboBoxInc : public TComboBox
{
private:
    AnsiString FTagString;
    bool FIncSearch;
    long Findex;
protected:
    DYNAMIC void __fastcall  KeyUp(Word &Key, TShiftState Shift);
    TNotifyEvent FKeyPressEnter;
public:
    __fastcall TComboBoxInc(TComponent* Owner);
__published:
    __property bool IncSearch = {read=FIncSearch, write=FIncSearch, default=true};
    __property AnsiString TagString = {read=FTagString, write=FTagString};
    __property TNotifyEvent OnKeyPressEnter ={read=FKeyPressEnter,write=FKeyPressEnter};
};
//---------------------------------------------------------------------------
#endif
